%define oname	simple-ccsm

Name:		compiz-simple-ccsm
Summary:	Simple settings manager for Compiz
Version:	0.8.18
Release:	%mkrel 6
License:	GPLv2+
Group:		System/X11
Url:		https://github.com/compiz-reloaded/simple-ccsm
Source0:	https://github.com/compiz-reloaded/simple-ccsm/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	intltool
BuildRequires:	python3-devel
Requires:	ccsm >= 1:0.8.18
Requires:	compizconfig-python
Requires:	compiz-plugins-main >= 0.8.18
Requires:       python3-gobject3
Provides:	simple-ccsm = %{EVRD}

%description
Compiz settings manager focused on simplicity for an end-user.

%prep
%setup -qn %{oname}-%{version}

%build
%py3_build -- --prefix=%{_prefix} --enableDesktopEffects

%install
%py3_install -- --prefix=%{_prefix}

%find_lang %{oname}

%files -f %{oname}.lang
%doc AUTHORS NEWS README.md
%license COPYING LICENSE
%{_bindir}/simple-ccsm
%{python3_sitelib}/simple_ccsm-%{version}-py%{python3_version}.egg-info
%{_datadir}/applications/simple-ccsm.desktop
%{_iconsdir}/hicolor/*/apps/simple-ccsm.{png,svg}
%{_datadir}/metainfo/simple-ccsm.appdata.xml
%{_datadir}/simple-ccsm/



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0.8.18-6.mga9
+ Revision: 1821117
- Mageia 9 Mass Rebuild

* Wed Mar 02 2022 mrambo3501 <mrambo3501> 0.8.18-5.mga9
+ Revision: 1787556
- rebuild for python-3.10

* Sat Jun 26 2021 tmb <tmb> 0.8.18-4.mga9
+ Revision: 1733537
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 0.8.18-3.mga9
+ Revision: 1733059
- Rebuild for python 3.9

* Sat May 01 2021 wally <wally> 0.8.18-2.mga9
+ Revision: 1720811
- rebuild for python 3.9

* Sat Apr 18 2020 wally <wally> 0.8.18-1.mga8
+ Revision: 1569242
- new version 0.8.18

* Sun Feb 16 2020 umeabot <umeabot> 0.8.16-4.mga8
+ Revision: 1533273
- Mageia 8 Mass Rebuild

* Fri Sep 20 2019 daviddavid <daviddavid> 0.8.16-3.mga8
+ Revision: 1444038
- rebuild for python3.8

* Mon Jan 07 2019 wally <wally> 0.8.16-2.mga7
+ Revision: 1350803
- rebuild for python3.7

* Mon Dec 10 2018 wally <wally> 0.8.16-1.mga7
+ Revision: 1339972
- imported package compiz-simple-ccsm

